org.keycloak.provider

## Interface ProviderFactory<T extends Provider>

- All Known Subinterfaces:
    AccountProviderFactory, AuditListenerFactory, AuditProviderFactory, CacheRealmProviderFactory, CacheUserProviderFactory, EmailProviderFactory, ExportProviderFactory, ImportProviderFactory, JpaConnectionProviderFactory, LoginFormsProviderFactory, MongoConnectionProviderFactory, PartitionManagerProviderFactory, RealmProviderFactory, ThemeProviderFactory, TimerProviderFactory, UserFederationProviderFactory, UserProviderFactory, UserSessionProviderFactory
  All Known Implementing Classes:
    AerogearThemeProviderFactory, BasePropertiesFederationFactory, BasicTimerProviderFactory, ClasspathPropertiesFederationFactory, DefaultJpaConnectionProviderFactory, DefaultKeycloakThemeProviderFactory, DefaultMongoConnectionFactoryProvider, DirExportProviderFactory, DirImportProviderFactory, DummyUserFederationProviderFactory, EmailAuditListenerFactory, ExtendingThemeManagerFactory, FilePropertiesFederationFactory, FolderThemeProviderFactory, FreeMarkerAccountProviderFactory, FreeMarkerEmailProviderFactory, FreeMarkerLoginFormsProviderFactory, JBossLoggingAuditListenerFactory, JpaAuditProviderFactory, JpaRealmProviderFactory, JpaUserProviderFactory, JpaUserSessionProviderFactory, LDAPFederationProviderFactory, LDAPPartitionManagerProviderFactory, MemAuditProviderFactory, MemoryCacheRealmProviderFactory, MemoryCacheUserProviderFactory, MemUserSessionProviderFactory, MongoAuditProviderFactory, MongoRealmProviderFactory, MongoUserProviderFactory, MongoUserSessionProviderFactory, NoCacheRealmProviderFactory, NoCacheUserProviderFactory, SingleFileExportProviderFactory, SingleFileImportProviderFactory, SysoutAuditListenerFactory, ZipExportProviderFactory, ZipImportProviderFactory

      public interface ProviderFactory<T extends Provider>

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `T` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`

- - ### Method Detail

    - #### create

          T create(KeycloakSession session)

    - #### init

          void init(Config.Scope config)

    - #### close

          void close()

    - #### getId

          String getId()

Copyright © 2014. All Rights Reserved.